Bug 471353 - Installer reboots when switching back to X11
Installer reboots when switching back to X11
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2008-11-13 02:18 EST by Jeremy Huddleston
Modified: 2009-01-31 19:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-31 19:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Huddleston 2008-11-13 02:18:42 EST
Description of problem:

I'm not exactly sure the root cause of the problem, but I suspect that X11 is crashing and causing the installation to reboot the system.

When configuring the network in the 10.0 installer, DHCP didn't set my /etc/resolv.conf  (I couldn't reproduce that particular problem in subsequent attempts)... so I change to tty1 (ctrl-alt-shift-f1) to manually setup /etc/resolv.conf.  I set it up, verified pinging google.com, yay... then I switched back to X11 (ctrl-alt-f6 or f7 or f8, I forget) to be greeted with a text console saying it was rebooting my system.

I didn't exactly have a window in which to debug the problem, but I suspect that X11 was crashing when resuming...

Version-Release number of selected component (if applicable):

10-preview i386 Netinstall CD

How reproducible:

Every time on that system.

Steps to Reproduce:
1. Boot off netinstall CD
2. when X11 starts, ctrl-alt-f1
3. switch back to X11
Actual results:

Expected results:

Additional info:

Unfortunately, I don't have ready access to this machine, but I'll get a list of devices when I get access to it again.
Comment 1 Matěj Cepl 2008-11-13 16:26:36 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

When the anaconda crashes, please, switch to the console (Ctrl+Alt+F2) and cp /tmp/* to some other place -- USB stick, some other computer via network, some on the Internet, and please attach it to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

In case you haven't managed to collect this information in the installation process itself, and if you installed in the text mode, please to this bug just your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Jeremy Huddleston 2008-11-13 18:29:32 EST
As I mentioned, the system automatically reboots... is there a way to disable the reboot, so I can have time to debug the problem?
Comment 3 Matěj Cepl 2008-11-15 19:34:50 EST
When you switch first to the console, please, copy all files in /tmp/ somewhere else -- if you are upgrading over old installation of Linux, you may be able to mount some existing partition and copy it there, or maybe connect to the network manually and get those files somewhere over the network, or maybe even USB drive may work (least likely, I am afraid).

Does it work?

Thanks a lot.
Comment 4 Jeremy Huddleston 2008-11-15 21:58:06 EST
Alright, I'll give that a try when I'm at the machine again...
Comment 5 Bug Zapper 2008-11-26 00:17:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 6 Matěj Cepl 2009-01-31 16:42:57 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 7 Jeremy Huddleston 2009-01-31 19:47:17 EST
The time / benefit ratio just isn't low enough to justify my trying to debug this.  Please close since sobody else has reported it.

Note You need to log in before you can comment on or make changes to this bug.